<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://www.nextgen2rism.de
 * @since      1.0.0
 *
 * @package    Local_Font_Provider
 * @subpackage Local_Font_Provider/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Local_Font_Provider
 * @subpackage Local_Font_Provider/includes
 * @author     Sebastian Rassmann <sebastian@nextgen2rism.de>
 */
class Local_Font_Provider_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {

		$manager = lfp_get_license_manager();
		$manager
            ->init()
            ->deactivate();

		Local_Font_Provider::remove_cache();
	}


}
